var canvas = document.getElementById("game_canvas");
var ctx = canvas.getContext("2d");

var lang = "";
var start_image;
var simage = new Image();
\
//for Android
 var basePath = String(location);
 var path = basePath.substr(0, basePath.lastIndexOf("/"));
 var bachi_audio = path+"/bachi.wav";

//for iPhone
//var bachi_audio = "bachi.wav";
var bachi="";
document.addEventListener("deviceready", function(){
	navigator.splashscreen.hide();
	
	bachi = new Media(bachi_audio);
	
	deviceLang();
	
	document.addEventListener("resume", function(){
		deviceLang();
	}, false);
	
}, false);

function deviceLang(){
	navigator.globalization.getPreferredLanguage(
		function(language){
			lang = language.value;
			var stringNum = lang.search("ja");
			if(stringNum==-1){
				lang = "en";
			}else{
				lang = "ja";
			}
			setStart();
		},
		function(){
			lang = "ja";
			setStart();
		}
	);
}

function setStart(){
	start_image ="start.png";
	if(lang == 'ja')start_image ="startj.png";
	simage.src = start_image;
}


var back_image ="soro_base.png";
var tama_image ="soro_tama.png";
var over_image ="over.png";
var active_image="active.png";

var bimage = new Image();
bimage.src = back_image;
var timage = new Image();
timage.src = tama_image;
var ovimage = new Image();
ovimage.src = over_image;
var aimage = new Image();
aimage.src = active_image;

var social_image="social.png";
var socialimage = new Image();
socialimage.src = social_image;


var move = [
	[0,0,0,0],
	[0,0,0,0],
	[0,0,0,0],
	[0,0,0,0],
	[0,0,0,0],
	[0,0,0,0],
	[0,0,0,0]
];

var value = [
	[1,1,1,1],
	[0,0,0,0],
	[0,0,0,0],
	[1,1,1,1],
	[1,1,1,1],
	[1,1,1,1],
	[1,1,1,1]
];

var num = [
	[5,5,5,5],
	[0,0,0,0],
	[0,0,0,0],
	[1,1,1,1],
	[2,2,2,2],
	[3,3,3,3],
	[4,4,4,4]
];

var timer= 0;
var starttime=120000;
var gametime = starttime;
var time;
var point = 0;
var vpoint= 0;
var qnum = 0;
var oldq = 0;
var snum = 0;
var score= 0;
var tama_w = 128;
var tama_h = 62;
var x_marg = 0;		//ʐ^̐؂Jnʒux
var y_marg = 0;		//ʐ^̐؂Jnʒu
var top_marg = 20;	//LoXʒũ}[W
var top_tamarg=26;	//LoX̎ʒũ}[W
var rail_height=25;	//[̍

var time = 0;
var flg = -3;
var btnFlg = -2;

var social_w = 200;
var social_h = 54;

var offsetXY=[0,0];

function offsetX(oj){
	offsetXY[0] = -(document.documentElement.scrollLeft || document.body.scrollLeft);
	while(oj){
		offsetXY[0] += oj.offsetLeft;
		oj = oj.offsetParent;
	}
	return
}
function offsetY(oj){
	offsetXY[1] = -top_marg - (document.documentElement.scrollTop || document.body.scrollTop);
	while(oj){
		offsetXY[1] += oj.offsetTop;
		oj = oj.offsetParent;
	}
	return;
}



